# Uses of Interface
org.picocontainer.InjectionFactory

Packages that use InjectionFactory
Package
Description
org.picocontainer
This package contains the core API for PicoContainer, a compact container for working with the dependency injection pattern.
org.picocontainer.injectors
InjectionFactories make Injectors which implement specific types of dependency injection

## Uses of InjectionFactory in org.picocontainer

Methods in org.picocontainer with parameters of type InjectionFactory
Modifier and Type
Method
Description
`protected void`
PicoBuilder.`addInjector(InjectionFactory injectionType)`
Constructors in org.picocontainer with parameters of type InjectionFactory
Modifier
Constructor
Description
``
`PicoBuilder(InjectionFactory injectionType)`
``
`PicoBuilder(PicoContainer parentContainer, InjectionFactory injectionType)`

## Uses of InjectionFactory in org.picocontainer.injectors

Classes in org.picocontainer.injectors that implement InjectionFactory
Modifier and Type
Class
Description
`class`
`AbstractInjectionFactory`
`class`
`AdaptingInjection`
Creates injector instances, depending on the injection characteristics of the component class.
`class`
`AnnotatedFieldInjection`
A `InjectionFactory` for Guice-style annotated fields.
`class`
`AnnotatedMethodInjection`
A `InjectionFactory` for Guice-style annotated methods.
`class`
`CompositeInjection`
A Composite of other types on InjectionFactories - pass them into the varargs constructor.
`class`
`ConstructorInjection`
A `InjectionFactory` for constructor injection.
`class`
`ForgetfulConstructorInjection`
Constructor Injection where 'which constructor?' is re-calculated each time an instance is asked to construct a component.
`class`
`MethodInjection`
A `InjectionFactory` for methods.
`class`
`MethodInjection.MethodInjectionByName`
`class`
`MethodInjection.MethodInjectionByReflectionMethod`
`class`
`MultiInjection`
`class`
`NamedFieldInjection`
A `InjectionFactory` for named fields.
`class`
`NamedMethodInjection`
`class`
`Reinjection`
`class`
`SetterInjection`
A `InjectionFactory` for JavaBeans.
`class`
`TypedFieldInjection`
A `InjectionFactory` for named fields.
Methods in org.picocontainer.injectors that return InjectionFactory
Modifier and Type
Method
Description
`static InjectionFactory`
Injectors.`adaptiveDI()`
`static InjectionFactory`
Injectors.`annotatedFieldDI()`
`static InjectionFactory`
Injectors.`annotatedFieldDI(Class<? extends Annotation> injectionAnnotation)`
`static InjectionFactory`
Injectors.`annotatedMethodDI()`
`static InjectionFactory`
Injectors.`annotatedMethodDI(Class<? extends Annotation> injectionAnnotation)`
`static InjectionFactory`
Injectors.`CDI()`
`static InjectionFactory`
Injectors.`namedField()`
`static InjectionFactory`
Injectors.`namedMethod()`
`static InjectionFactory`
Injectors.`SDI()`
`static InjectionFactory`
Injectors.`typedFieldDI()`
Methods in org.picocontainer.injectors with parameters of type InjectionFactory
Modifier and Type
Method
Description
`Object`
Reinjector.`reinject(Class<?> key, Class<?> impl, InjectionFactory reinjectionFactory)`
Reinjecting into a method.
`Object`
Reinjector.`reinject(Class<?> key, Class implementation, Object instance, Properties properties, InjectionFactory reinjectionFactory)`
Reinjecting into a method.
`Object`
Reinjector.`reinject(Class<?> key, Class implementation, Object instance, InjectionFactory reinjectionFactory)`
Reinjecting into a method.
`Object`
Reinjector.`reinject(Class<?> key, InjectionFactory reinjectionFactory)`
Reinjecting into a method.
Constructors in org.picocontainer.injectors with parameters of type InjectionFactory
Modifier
Constructor
Description
``
`CompositeInjection(InjectionFactory... injectionFactories)`
``
`Reinjection(InjectionFactory reinjectionFactory, PicoContainer parent)`